httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Torsten Förtsch <torsten.foert...@gmx.net>
Subject Re: Is this a test framework bug?
Date Tue, 19 Apr 2011 10:55:00 GMT
On Tuesday, April 19, 2011 10:59:45 Joe Orton wrote:
> +        # force HTTP/1.0 to work around LWP 6.x bug
> +        $req->protocol('HTTP/1.0');

At least for libwww-perl/6.02 that does not help. It sends HTTP/1.1 no matter 
what.

Here is a way that works, although very ugly:

Index: t/modules/proxy.t
===================================================================
--- t/modules/proxy.t   (revision 1094356)
+++ t/modules/proxy.t   (working copy)
@@ -29,6 +29,13 @@
     ok t_cmp($r->content, "abcdef", "reverse proxied to dripfeed CGI content 
OK");
 
     if (have_min_apache_version('2.1.0')) {
+        # force HTTP/1.0 to work around LWP 6.x bug
+        no warnings 'redefine';
+        local *LWP::Protocol::http::_check_sock = sub {
+            $_[2]->http_version('1.0');
+            #use Data::Dumper; warn Dumper \@_, \%{*{$_[2]}};
+            return;
+        };
         $r = GET("/reverse/modules/cgi/nph-102.pl");
         ok t_cmp($r->code, 200, "reverse proxy to nph-102");
         ok t_cmp($r->content, "this is nph-stdout", "reverse proxy 102 
response");

Torsten Förtsch

-- 
Need professional modperl support? Hire me! (http://foertsch.name)

Like fantasy? http://kabatinte.net

Mime
View raw message